Create a signature share for a transaction on a transaction request
Allows users to supply their signature share for signing. This route is only valid for transaction request full. Use only with MPC wallets.
Path Params
-
walletIdstring requiredThe ID of the wallet -
txRequestIdstring uuid requiredThe ID of the transaction request -
transactionIdxstring number requiredThe index of the transaction to sign
Body Params
object
Create Signature Share Request Body
The request body for supplying a user signature share. At least one share must be supplied, either in signatureShares or in the deprecated signatureShare.
-
signatureSharesarray of objects requiredUser-provided shares to be used in the ECDSA or EDDSA MPC signing flow.
Must contain at least one share when supplied. Takes precedence over
signatureShare.signatureShares object
-
privateShareProofstringThe private share proof -
publicSharestringThe public share -
vssProofstringThe VSS proof of the signature share -
fromstring enum requiredThe source of the signature share.userbackupbitgo -
tostring enum requiredThe recipient of the signature share.userbackupbitgo -
sharestring requiredThe signature share
-
-
signatureShareobjectA user-provided share to be used in the ECDSA or EDDSA MPC signing flow.
Deprecated: use
signatureSharesinstead. Required whensignatureSharesis not supplied.signatureShare object
-
privateShareProofstringThe private share proof -
publicSharestringThe public share -
vssProofstringThe VSS proof of the signature share -
fromstring enum requiredThe source of the signature share.userbackupbitgo -
tostring enum requiredThe recipient of the signature share.userbackupbitgo -
sharestring requiredThe signature share
-
-
signerSharestringAn openPGP ASCII armored message containing the previous signer's offset secret share.
Encrypted to the known HSM public key. Must be provided when uploading an R share.
-
userPublicGpgKeystringThe user's public GPG key.
Used by the signing flow to encrypt shares back to the user.
-
attestationobjectWebAuthn assertion authorizing this request.attestation object
-
authenticatorDatastring requiredWebAuthn authenticatorData (base64url) -
clientDataJSONstring requiredWebAuthn clientDataJSON (base64url) -
credentialIdstring requiredPasskey credential ID used to locate the registered authenticator public key -
signaturestring requiredWebAuthn assertion signature (base64url)
-
Responses
201
Created
Response Body
object
-
vssProofstringThe VSS proof of the signature share -
privateShareProofstringThe private share proof -
publicSharestringThe public share -
fromstring enum requiredThe source of the signature share.userbackupbitgo -
tostring enum requiredThe recipient of the signature share.userbackupbitgo -
sharestring requiredThe signature share
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
401
Unauthorized
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
403
Forbidden
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id